org.jboss.netty.channel.socket

## Interface SocketChannel

- All Superinterfaces:
    Channel, Comparable<Channel>
  All Known Implementing Classes:
    NioSocketChannel

      public interface SocketChannel
      extends Channel

  A TCP/IP socket `Channel` which was either accepted by `ServerSocketChannel` or created by `ClientSocketChannelFactory`.

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.netty.channel.Channel

      `OP_NONE, OP_READ, OP_READ_WRITE, OP_WRITE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketChannelConfig` | `getConfig()` Returns the configuration of this channel.
    `InetSocketAddress` | `getLocalAddress()` Returns the local address where this channel is bound to.
    `InetSocketAddress` | `getRemoteAddress()` Returns the remote address where this channel is connected to.

    - ### Methods inherited from interface org.jboss.netty.channel.Channel

      `bind, close, connect, disconnect, getAttachment, getCloseFuture, getFactory, getId, getInterestOps, getParent, getPipeline, isBound, isConnected, isOpen, isReadable, isWritable, setAttachment, setInterestOps, setReadable, unbind, write, write`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getConfig

          SocketChannelConfig getConfig()

      Description copied from interface: `Channel`
      Returns the configuration of this channel.
      Specified by:
        `getConfig` in interface `Channel`

    - #### getLocalAddress

          InetSocketAddress getLocalAddress()

      Description copied from interface: `Channel`
      Returns the local address where this channel is bound to. The returned `SocketAddress` is supposed to be down-cast into more concrete type such as `InetSocketAddress` to retrieve the detailed information.
      Specified by:
        `getLocalAddress` in interface `Channel`
      Returns:
        the local address of this channel. `null` if this channel is not bound.

    - #### getRemoteAddress

          InetSocketAddress getRemoteAddress()

      Description copied from interface: `Channel`
      Returns the remote address where this channel is connected to. The returned `SocketAddress` is supposed to be down-cast into more concrete type such as `InetSocketAddress` to retrieve the detailed information.
      Specified by:
        `getRemoteAddress` in interface `Channel`
      Returns:
        the remote address of this channel. `null` if this channel is not connected. If this channel is not connected but it can receive messages from arbitrary remote addresses (e.g. `DatagramChannel`, use `MessageEvent.getRemoteAddress()` to determine the origination of the received message as this method will return `null`.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.